summaryrefslogtreecommitdiffhomepage
path: root/scripts
diff options
context:
space:
mode:
authorErisa A <erisa@tailscale.com>2025-12-08 20:19:40 +0000
committerGitHub <noreply@github.com>2025-12-08 20:19:40 +0000
commitc7b10cb39f578a2f5e5983ab8b4ddd40e13afaca (patch)
treec2a991684d0a556e5882e7dbc913991a6de4f591 /scripts
parent7d3097d3b552de3d4441b4909bcec75718cf5d3d (diff)
downloadtailscale-c7b10cb39f578a2f5e5983ab8b4ddd40e13afaca.tar.xz
tailscale-c7b10cb39f578a2f5e5983ab8b4ddd40e13afaca.zip
scripts/installer.sh: add SteamOS handling (#18159)
Fixes #12943 Signed-off-by: Erisa A <erisa@tailscale.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/installer.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/scripts/installer.sh b/scripts/installer.sh
index e21e40e15..db94c26ec 100755
--- a/scripts/installer.sh
+++ b/scripts/installer.sh
@@ -336,6 +336,11 @@ main() {
VERSION="$VERSION_MAJOR"
PACKAGETYPE="tdnf"
;;
+ steamos)
+ echo "To install Tailscale on SteamOS, please follow the instructions here:"
+ echo "https://github.com/tailscale-dev/deck-tailscale"
+ exit 1
+ ;;
# TODO: wsl?
# TODO: synology? qnap?